package flightsim.logbook.gui;

import javax.swing.UIManager;

public class LookAndFeel {
	
	public static void setPlatformLookAndFeel() {
		// set up Windows or GTK look and feel depending
		// on the operating system
		try {
			String os = System.getProperty("os.name"); //$NON-NLS-1$
			if (os.toLowerCase().contains("linux")) UIManager.setLookAndFeel("com.sun.java.swing.plaf.gtk.GTKLookAndFeel");  //$NON-NLS-1$ //$NON-NLS-2$
			else UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");  //$NON-NLS-1$
		} catch (Exception e) {}
	}
}
