package flightsim.logbook.gui.exportfilters;

import java.io.PrintWriter;
import java.util.List;

import flightsim.logbook.LogBook;
import flightsim.logbook.LogEntry;


class CSVExporter extends Exporter {

	public CSVExporter(List<ExportField> choosed) {
		super(choosed);
	}

	@Override
	protected void writeEntry(LogBook lb, LogEntry le, ExportField field, PrintWriter pw) {
		pw.print('"');
		pw.print(field.format(le));
		pw.print('"');
		pw.print(',');
	}

	@Override
	protected void writeEntryBegin(LogBook lb, LogEntry le, PrintWriter pw) {
	}

	@Override
	protected void writeEntryEnd(LogBook lb, LogEntry le, PrintWriter pw) {
		pw.print("\r\n"); //$NON-NLS-1$
		pw.flush();
	}

	@Override
	protected void writeFileFooter(LogBook lb, PrintWriter pw) {
	}

	@Override
	protected void writeFileHeader(LogBook lb, PrintWriter pw) {
	}

}
