package flightsim.logbook.gui.exportfilters;

import flightsim.logbook.LogEntry;

class AirportLandingsField extends ExportField {
	private String sep;

	protected AirportLandingsField(String name, String description, String sep) {
		super(name, description);
	}

	String format(LogEntry value) {
		StringBuffer sgb = new StringBuffer(""); //$NON-NLS-1$
		for (int i = 0; i < value.numberLandings(); i++) {
			sgb.append(value.getLandingAirport(i));
			if (i < (value.numberLandings()-1)) sgb.append(sep);
		}
		return sgb.toString();
	}

	
}
